Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000642KdenliveBuild Systempublic2009-02-01 18:582009-06-18 02:12
Reporterrico 
Assigned Toddennedy 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version 
Summary0000642: can't compile 3025 from wizzard, error on mlt
DescriptionCan't compile last svn from the wizzard, get an error on mlt.

part of the log where i think the error is:

-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -pthread -I../../ `pkg-config --cflags libquicktime` `pkg-config --cflags libdv` -Wno-deprecated `pkg-config --cflags libquicktime` -c -o riff.o riff.cc
riff.cc: In member function 'virtual void RIFFFile::ParseChunk(int)':
riff.cc:518: warning: ignoring return value of 'ssize_t read(int, void*, size_t)', declared with attribute warn_unused_result
cc -shared -o ../libmltkino.so factory.o producer_kino.o kino_wrapper.o avi.o error.o filehandler.o riff.o -L../../framework -lmlt -lstdc++ `pkg-config --libs libquicktime` `pkg-config --libs libdv`
/usr/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status
make[2]: *** [../libmltkino.so] Error 1
make[2]: Leaving directory `/home/eric/src/mlt/src/modules/kino'
make[1]: *** [all] Error 1
make[1]: Leaving directory `/home/eric/src/mlt/src/modules'
make: *** [all] Error 1
KBWERROR: Unable to build mlt
KBWTRACE: Entering feedback_result @ = FAILURE Some kind of error occured: Unable to build mlt
KBWTRACE: Entering feedback_status @ = FAILURE Some kind of error occured: Unable to build mlt
KBWTRACE: Entering cmd @ = dcop kmdr-executor-26739 KommanderIf setText LabelFeedback FAILURE Some kind of error occured: Unable to build mlt
KBWLOG: About to run command: dcop kmdr-executor-26739 KommanderIf setText LabelFeedback FAILURE Some kind of error occured: Unable to build mlt
/tmp/kbw.script.sh.20090201.183359.mkqB26860: line 213: 26877 Killed keep_checking_abort (wd: ~/kdenlive)
KBWTRACE: Entering cmd @ = dcop kmdr-executor-26739 KommanderIf execute ScriptObjectAddStatusLine
KBWLOG: About to run command: dcop kmdr-executor-26739 KommanderIf execute ScriptObjectAddStatusLine

KBWTRACE: Entering cmd @ = dcop kmdr-executor-26739 KommanderIf setText LabelFinalResult FAILURE Some kind of error occured: Unable to build mlt
KBWLOG: About to run command: dcop kmdr-executor-26739 KommanderIf setText LabelFinalResult FAILURE Some kind of error occured: Unable to build mlt
KBWTRACE: Entering cmd @ = dcop kmdr-executor-26739 KommanderIf execute ScriptObjectDone
KBWLOG: About to run command: dcop kmdr-executor-26739 KommanderIf execute ScriptObjectDone
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0002348)
rico (reporter)
2009-02-04 01:51
edited on: 2009-02-04 01:51

after some more attempts, I managed to compile it. The only thing I changed was the nvidia driver (from 180.11 to 180.27). Could it be linked to it somehow?

(0002384)
ddennedy (developer)
2009-02-09 09:58

MLT does not directly ask to link with libGL for anything. This is a problem with some pkg-config file outside MLT. Also, it is a problem specific to your environment, and you said you resolved it.

- Issue History
Date Modified Username Field Change
2009-02-01 18:58 rico New Issue
2009-02-01 18:58 rico Build/Install Method => Build Wizard
2009-02-04 01:51 rico Note Added: 0002348
2009-02-04 01:51 rico Note Edited: 0002348
2009-02-09 09:58 ddennedy Note Added: 0002384
2009-02-09 09:58 ddennedy Status new => resolved
2009-02-09 09:58 ddennedy Resolution open => won't fix
2009-02-09 09:58 ddennedy Assigned To => ddennedy
2009-06-18 02:12 xzhayon Status resolved => closed
2009-06-18 02:12 xzhayon Resolution won't fix => no change required


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker